// --------------------------------------------------------------------------
//
// NAME                    : DisableImageFilter.java
// VERSION                 :  
// COMPILED USING          : SUN JDK 1.1.2 / KAWA IDE 2.5
// AUTHOR                  : Dan Page (dan@hnet.demon.co.uk)
// LAST REVISION DATE      :  
// NOTES                   : 
//
// --------------------------------------------------------------------------

// -----------------------------------------
// Declare we are part of the right package.
// -----------------------------------------
package uk.co.demon.hnet.awt.image;

// --------------------------------------------------------------------------
// Import all the super duper java class files.
// --------------------------------------------------------------------------
import java.awt.*;
import java.awt.image.*;
 
// --------------------------------------------------------------------------
// Define the main class.
// --------------------------------------------------------------------------
public class DisableImageFilter extends RGBImageFilter
{

	// ----------------------------------
	// Define a contructor for the class.
	// ----------------------------------
	public DisableImageFilter() { canFilterIndexColorModel = false; }
	
	// ----------------------------------------
	// Define a method used to filter an image.
	// ----------------------------------------
	public int filterRGB( int x, int y, int rgb )
	{
	
		// Decide if we are in a cros hatch place.
   	if ( ( ( x % 2 ) ^ ( y % 2 ) ) == 1 ) { return ( rgb & 0xffffff ); }
  	else { return rgb; }

	}
	
}

 