@echo off

REM NOTE : This is an EXAMPLE of how to run Lava from anywhere.  It needs
REM        to be altered to suit your machine.  If you don't get it, run 
REM        Lava by changing directory to where you installed Lava and 
REM        issue the command java Lava

REM The lavahome environment variable is a pointer to the directory that
REM Lava is installed in.  Setting it to point at this directory enables
REM Lava to find components such as images and the ini file.  If you
REM set this to suit your machine and then you can use this batch file to
REM run Lava from anywhere.

SET LAVAHOME=<<insert the path to the lava installation directory here>>

REM We must make sure that the Lava zip is included in the classpath.
REM If you already to this, eg. in autoexec.bat, you don't have to do this.

SET CLASSPATH=%CLASSPATH%;%LAVAHOME%\lava.jar

REM We are now ready to run Lava and as all the environments are set up
REM correctly, we can just issue the command with a -D flag to put the
REM lavahome variable into the system properties.

REM Note the change in packaging, needed to enable Lava to integrate with
REM other projects and not pollute the name space.  You now need to run
REM the class named lava.Lava.

java -Dlava.home=%LAVAHOME% uk.co.demon.hnet.lava.Lava 
